#include "testlib.h"

using namespace std;


#define MAXN 100000
#define MAXA 100
#define MAXB 100
#define MAXC 100


int main() {
    registerValidation();
    
    int n = inf.readInt(1, MAXN, "n");

    for (int i = 0; i < n; i++) {
    	if (i != 0) {
    	    inf.readEoln();
	   		inf.readSpace();
    		inf.readInt(1, MAXA, "a");
    		inf.readSpace();
    		int b = inf.readInt(1, MAXB, "b");
    		inf.readSpace();
    		int c = inf.readInt(b + 1, MAXC, "c");
    	}	
    }
    inf.readEoln();
    inf.readEof();

    return 0;
}
